-module(unusedpattern).
-export([patternmatchtest/0, patternmatchtest1/1]).

patternmatchtest() ->
    case alma of
        korte ->
            korte;
        _ ->
            alma;
        barmi ->
            barmi,
            mas
    end.

patternmatchtest1(Alma) ->
    case Alma of
        {vmi,_} ->
            korte;
        {semmi,semmi} when alma==korte ->
            alma;
        barmi ->
            barmi,
            mas
    end.
